# $Revision: 1.5 $, $Date: 2005/12/09 22:26:36 $
Summary:	Common C++ class framework for RTP/RTCP
Summary(pl):	Szkielet klas C++ dla RTP/RTCP
Name:		ccrtp
Version:	1.3.6
Release:	1
License:	GPL
Group:		Libraries
Source0:	ftp://ftp.gnu.org/pub/gnu/ccrtp/%{name}-%{version}.tar.gz
# Source0-md5:	5dddefbbc9c455a05816ded8e56adda6
URL:		http://www.gnu.org/software/ccrtp/
BuildRequires:	commoncpp2-devel
BuildRequires:	doxygen
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
ccRTP is a generic, extensible and efficient C++ framework for
developing applications based on the Real-Time Transport Protocol
(RTP) from the IETF. It is based on Common C++ and provides a full
RTP/RTCP stack for sending and receiving of realtime data by the use
of send and receive packet queues. ccRTP supports unicast,
multi-unicast and multicast, manages multiple sources, handles RTCP
automatically, supports different threading models and is generic as
for underlying network and transport protocols.

%description -l pl
ccRTP jest oglnym, rozszerzalnym i efektywnym szkieletem C++ do
rozwijania aplikacji bazujcych na transporcie czasu rzeczywistego
(RTP) z IETF. Bazuje na Common C++ i udostpnia peen stos RTP/RTCP do
wysyania i odbierania danych w czasie rzeczywistym z uyciem kolejek
wysyania i odbierania pakietw. ccRTP obsuguje unicasty,
multi-unicasty i multicasty, zarzdza wieloma rdami, obsuguje
automatycznie RTCP, wspiera rne modele wtkowania i jest oglny dla
podstawowych sieci i protokow transportowych.

%package devel
Summary:	Header files for ccrtp library
Summary(pl):	Pliki nagwkowe biblioteki ccrtp
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	commoncpp2-devel

%description devel
Header files for ccrtp library.

%description devel -l pl
Pliki nagwkowe biblioteki ccrtp.

%package static
Summary:	Static ccrtp library
Summary(pl):	Statyczna biblioteka ccrtp
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static ccrtp library.

%description static -l pl
Statyczna biblioteka ccrtp.

%prep
%setup -q

%build
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING COPYING.addendum README
%attr(755,root,root) %{_libdir}/lib*.so.*.*.*

%files devel
%defattr(644,root,root,755)
%doc doc/html/*.html doc/html/*.*g*
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}/ccrtp
%{_pkgconfigdir}/*.pc
%{_infodir}/*.info*

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ccrtp.spec,v $
Revision 1.5  2005/12/09 22:26:36  undefine
- up to 1.3.6

Revision 1.4  2005/11/22 02:40:36  charles
- updated to 1.3.5

Revision 1.3  2005/09/19 22:18:09  qboosh
- cosmetics, avoid packaging info/dir

Revision 1.2  2005/09/07 21:26:30  undefine
- pl description

Revision 1.1  2005/09/07 14:53:28  undefine
- initial
